--[[----------------------------------------------------------------------------

Copyright 2016 John R. Ellis.

------------------------------------------------------------------------------]]

return {
    LrSdkVersion = 6.14,
    LrSdkMinimumVersion = 6.14, 
    LrToolkitIdentifier = 'com.johnrellis.anyvision',
    LrPluginName = "Any Vision",
    LrPluginInfoUrl = "http://www.johnrellis.com/lightroom/anyvision.htm",
    LrPluginInfoProvider = "PluginInfoProvider.lua",
    LrMetadataProvider = "MetadataDefinition.lua",
    LrMetadataTagsetFactory = {"Tagset.lua", "PromptTagset.lua", 
        "CustomTagset1.lua", "CustomTagset2.lua"},
    LrLibraryMenuItems = {
        {title = "&Prompt", file = "Prompt.lua", 
         enabledWhen = "anythingSelected"},
        {title = "&Classify", file = "Classify.lua",
         enabledWhen = "photosSelected"},
        {title = "Show Error Log", file = "ShowErrorLog.lua"},
        {title = "Export Classify Results to File", file = "ExportClassify.lua",
         enabledWhen = "photosSelected"},
        {title = "Export Prompt Results to File", file = "ExportPrompt.lua",
         enabledWhen = "photosSelected"},
        {title = "Sort by Color", file = "SortByColor.lua",
         enabledWhen = "photosSelected"},
        {title = "Find with Similar Labels", file = "FindSimilar.lua",
         enabledWhen = "photosSelected"},
        {title = "Remove Fields", file = "Remove.lua", 
         enabledWhen = "photosSelected"}},
    LrExportMenuItems = {
        {title = "&Prompt", file = "Prompt.lua", 
         enabledWhen = "anythingSelected"},
        {title = "&Classify", file = "Classify.lua",
         enabledWhen = "photosSelected"},
        {title = "Show Error Log", file = "ShowErrorLog.lua"},
        {title = "Export Classify Results to File", file = "ExportClassify.lua",
         enabledWhen = "photosSelected"},
        {title = "Export Prompt Results to File", file = "ExportPrompt.lua",
         enabledWhen = "photosSelected"},
        {title = "Sort by Color", file = "SortByColor.lua",
          enabledWhen = "photosSelected"},
        {title = "Find with Similar Labels", file = "FindSimilar.lua",
         enabledWhen = "photosSelected"},
        {title = "Remove Fields", file = "Remove.lua", 
         enabledWhen = "photosSelected"}},
    URLHandler = "URLHandler.lua",
    VERSION = {major = 1, minor = 21, revision = 0, build = 0}}
    
    